# CNCF TAG Contributor Strategy

<img src="website/static/images/tag-contributor-strategy-icon-color.png" alt="a line drawing of a busy bee" align=right width="150px">

TAG Contributor Strategy is responsible for contributor experience,
sustainability, governance, and openness guidance to help CNCF community groups
and projects with their own contributor strategies for a healthy project.

If you are looking for how-to resources produced by the TAG, please visit
[contribute.cncf.io](https://contribute.cncf.io/) or have a look at the
contributor, goverance, and related [templates](https://github.com/cncf/project-template).

The [TAG Contributor Strategy charter](/CHARTER.md) outlines the scope of our group activities. To get involved, our [Contributing Guide](/CONTRIBUTING.md) lays out more details.

- [Meetings](#meetings)
- [Communicating with Us](#communicating-with-us)
- [Members](#members)
  - [TAG Chairs](#tag-chairs)
  - [Tech Leads](#tech-leads)
  - [TOC Liaisons](#toc-liaisons)
  - [Original Bootstrap TAG members](#original-bootstrap-tag-members)
  - [Emeritus Leads](#emeritus-leads)
- [Working Groups and Teams](#working-groups-and-teams)
  - [Governance WG](#governance-wg)
  - [Contributor Growth WG](#contributor-growth-wg)
  - [Maintainer's Circle](#maintainers-circle)
  - [Inclusiveness Team](#inclusiveness-team)
  - [Mentoring WG](#mentoring-wg)
  - [Community Infrastructure Team](#community-infrastructure-team)

## Meetings

We have one general meeting a month, along with meetings for our working groups.
Go to [the CNCF calendar](https://tockify.com/cncf.public.events/monthly?search=Contributor+Strategy) to see when we meet next.

- Calendar invites are sent to the mailing list(see: [Communicating with us](#communicating-with-us)).
Once you join, you won't automatically have the invite on your calendar. You can
get it from a [past message here](https://lists.cncf.io/g/cncf-tag-contributor-strategy/message/1)
- [Meeting minutes and agenda](https://bit.ly/cncf-contribstrat-agenda)
- All meetings are recorded and can be accessed on the [CNCF TAG Contributor Strategy](https://www.youtube.com/channel/UCCqKWkTM2pkmLwXaj-7AvcA) Youtube channel.
- Meeting Link: [zoom.us/my/cncftagcontributorstrategy](https://zoom.us/my/cncftagcontributorstrategy)
  - Meeting ID: **574 406 1161**
  - One tap mobile:
    - +16465588656,,5744061161# US (New York)
    - +13126266799,,5744061161# US (Chicago)
  - Dial by your location ([find your local number](https://zoom.us/u/adDLtxsAN9)):
    - +1 646 558 8656 US (New York)
    - +1 312 626 6799 US (Chicago)
    - +1 669 900 6833 US (San Jose)
    - +1 253 215 8782 US
    - +1 301 715 8592 US
    - +1 346 248 7799 US (Houston)
    - 877 369 0926 US Toll-free
    - 855 880 1246 US Toll-free
    - +1 778 907 2071 Canada
    - +1 438 809 7799 Canada
    - +1 587 328 1099 Canada
    - +1 647 374 4685 Canada
    - +1 647 558 0588 Canada
    - 855 703 8985 Canada Toll-free

## Communicating with Us

Anyone is welcome to join our open discussions of TAG Contributor Strategy
projects and share news related to the group's mission and charter. Much of the
work of the group happens outside of TAG Contributor Strategy meetings and we
encourage project teams to share progress updates or post questions in these
channels:

- [Mailing list](https://lists.cncf.io/g/cncf-tag-contributor-strategy)
  - The mailing list is used for decisions, announcements, and broad communications
  on record for the entire TAG.
  - Calendar invites will be sent to this address. You can get the calendar
  invite from a [past message here](https://lists.cncf.io/g/cncf-tag-contributor-strategy/message/2)

- [#tag-contributor-strategy](https://cloud-native.slack.com/archives/CT6CWS1JN) on [CNCF Slack](https://slack.cncf.io/)
  - Real time communication is great! Chat with us here but we might ask you to
  open an issue or remind us on the mailing list so we can have a record.

- [File an Issue](https://github.com/cncf/tag-contributor-strategy)
  - Working on a project? Have an idea for something we/you should work on? Talk
  about a change you'd like to propose?

## Members

### TAG Chairs

- Dawn Foster ([@geekygirldawn](https://github.com/geekygirldawn)), VMware
- Josh Berkus ([@jberkus](https://github.com/jberkus)), Red Hat
- Catherine Paganini ([@CathPag](https://github.com/CathPag)), Buoyant

### Tech Leads

- Carolyn Van Slyck ([@carolynvs](https://github.com/carolynvs)), Microsoft

### TOC Liaisons

- Matt Farina ([@mattfarina](https://github.com/mattfarina)), SuSE
- Katie Gamanji ([@kgamanji](https://github.com/kgamanji)), Apple
- Cathy Zhang ([@cathyhongzhang](https://github.com/cathyhongzhang)), Intel

### Emeritus Leads

- Gerred Dillon ([@gerred](https://github.com/gerred)), Mycelial
- Paris Pittman ([@parispittman](https://github.com/parispittman)), Apple
- Stephen Augustus ([@justaugustus](https://github.com/justaugustus)), Cisco

## Working Groups And Teams

### Governance WG

[Charter](/governance/README.md)

Facilitators:

- Josh Berkus ([@jberkus](https://github.com/jberkus)), Red Hat
- Dawn Foster ([@geekygirldawn](https://github.com/geekygirldawn)), VMware

### Contributor Growth WG

[Charter](/contributor-growth/README.md)

Facilitators:

- Carolyn Van Slyck ([@carolynvs](https://github.com/carolynvs)), Microsoft

### Maintainer's Circle

Status: [Proposed](https://github.com/cncf/tag-contributor-strategy/issues/1)

Facilitators:

- Dave Sudia ([@thedevelopnik](https://github.com/thedevelopnik)), Ambassador Labs
- Paris Pittman ([@parispittman](https://github.com/parispittman)), Apple

### Inclusiveness Team

Facilitators:

- Melania De Angelis ([@melaniadeangelis](https://github.com/melaniadeangelis)), SIGHUP
- Sara Trapetti ([@SaraTrap](https://github.com/SaraTrap)), SIGHUP
- Jade Applegate ([@jadeapplegate](https://github.com/jadeapplegate)), Indeed

### Mentoring WG

[Charter](/mentoring/README.md)

Facilitators:

- Nate Waddington ([@nate-double-u](https://github.com/nate-double-u)), CNCF
- Jay Tihema ([@jaytiaki](https://github.com/jaytiaki)), ii
- Ihor Dvoretskyi ([@idvoretskyi](https://github.com/idvoretskyi)), CNCF

### Community Infrastructure Team

Facilitators:

- Carolyn Van Slyck ([@carolynvs](https://github.com/carolynvs)), Microsoft
- Nate Waddington ([@nate-double-u](https://github.com/nate-double-u)), CNCF
- Hippie Hacker ([@hh](https://github.com/hh)), ii

### Original Bootstrap TAG members

- Amye Scavarda Perrin ([@amye](https://github.com/amye)), CNCF
- April Kyle Nassi ([@thisisnotapril](https://github.com/thisisnotapril)), Google
- Carolyn Van Slyck ([@carolynvs](https://github.com/carolynvs)), Microsoft
- Cheryl Hung ([@oicheryl](https://github.com/oicheryl)), CNCF
- Gerred Dillon ([@gerred](https://github.com/gerred)), Mycelial
- Ihor Dvoretskyi ([@idvoretskyi](https://github.com/idvoretskyi)), CNCF
- Josh Berkus ([@jberkus](https://github.com/jberkus)), Red Hat
- Karen Chu ([@karenhchu](https://github.com/karenhchu)), Microsoft
- Matt Klein ([@mattklein123](https://github.com/mattklein123)), Lyft
- Paris Pittman ([@parispittman](https://github.com/parispittman)), Apple
- Saad Ali ([@saad-ali](https://github.com/saad-ali)), Google
- Stephen Augustus ([@justaugustus](https://github.com/justaugustus)), Cisco
- Zach Corleissen ([@zacharysarah](https://github.com/zacharysarah)), Linux Foundation
