# Maintainer's Circle

Initially [proposed here](https://github.com/cncf/sig-contributor-strategy/issues/1).

Once a month, we welcome you to a maintainers circle: a peer group that will 
meet with scheduled topics, ample discussion, and networking time for fellow 
reviewers, approvers, maintainers, and other core leaders of CNCF projects. This
is a time for you to stay connected, learn from and with each other, and 
discuss topics that are close to you. We'll have a 100 person capacity for each 
event and depending on demand, may re-run the session. The capacity is set to
make sure everyone that wants an interactive experience vs a lecture can have 
one. 

The only contract of the members of each circle is to abide by the CNCF Code of 
Conduct, be kind, open as you'd like, and committed to hearing others out. 
Everyone will have a chance to participate in whatever activity is set forth in 
that meeting. 

## Goals:
Bring CNCF project maintainer* together to:
- Collaborate on strategic issues; tackling size:L OSS challenges together
- Listen (to build better programs, relationships, and sustainability efforts)
- Share best practices
- Participate in peer coaching and seek guidance  
- Highlight successes

*What/Who is a maintainer? There are a lot of meanings within the community.  
A maintainer is anyone recognized as a maintainer or in a core role of a CNCF 
project by
that project's standards and governance. You can maintain code, docs, policy and
 more, but you are making decisions.
Relevant CNCF project examples:  
- [containerd](https://github.com/containerd/project/blob/master/GOVERNANCE.md#maintainership) 
lists maintainers and code reviewers as key role
- [Prometheus](https://github.com/prometheus/prometheus/blob/master/MAINTAINERS.md)
lists maintainers in a MAINTAINERS.md file
- [Kubernetes](https://github.com/kubernetes/community/blob/master/community-membership.md)
doesn't use the word maintainer but uses an OWNERs file method for ownership by
listing reviewers and approvers

We recognize the term does not apply across the board perfectly. Maintainers
is an umbrella succinct term that covers many of your roles and inclusivity.

Important note: CNCF has a pool of listed maintainers for each project that vote
 on behalf of their project in TOC elections. Some projects have more maintainer 
 roles than this and the Circle welcomes all decision makers. 

## Where
Zoom with breakout rooms
In-person at KubeCon

## When  
Meetings are scheduled ad-hoc when we have a topic and speaker.
Join our <a href="https://lists.cncf.io/g/cncf-tag-contributor-strategy">mailing list</a> or our #maintainers-circle channel in the CNCF Slack to be notified of the next event.

## What 

### February 13th, 2023 @ 8:00am PT / 4:00pm GMT / [Your timezone here](https://time.is/compare/800AM_13_Feb_2023_in_PT)

Non-Code Contributors in the Project Ladder and as Maintainers with Kim McMahon

Bio: Kim McMahon is well-known in the cloud native ecosystem for leading the open source marketing and community activities at organizations such as Dell, Oracle, Kyverno / Nirmata, CNCF, and now Cisco. Community building, breaking down barriers, and uniting are Kim’s drivers. In her free time, Kim enjoys downhill skiing, hiking, cooking, and training her Chocolate Labrador puppy.

**Registration** is an emoji reaction to the invite on the future thread in 
#maintainer-circle   

**Notes:** https://docs.google.com/document/d/1OlRxoSWXDA4emDK_U1ff6djMgXeR8yJahrWC7RRzD7o/edit?usp=sharing

**First half**   
It is not questioned that non-code contributions to an open source project are important. But did you know that the CNCF does not have a clear project ladder for non-code contributors to get to maintainer status and only one CNCF project has a two-pronged approach to reaching maintainer status? In this Maintainer’s Circle talk, we will share with you the project within the TAG Contributor Strategy, the proposed solution, the roll-out plan, and seek your feedback on the gaps and misses you see in the plan.

**Breakout**   
What challenges have you faced with non-code contributors and growing that community and contributions? How could your project use this ladder to improve your practices? Do you have feedback on the ladder and how it can improve?

### March 11th @ 10:30am PT / 6:30pm GMT / [Your timezone here](https://time.is/compare/1030AM_11_Mar_2021_in_PT)

Values and Principles Development with Sarah Novotny

BIO: Sarah Novotny has long been an Open Source champion in projects such as Kubernetes, NGINX and MySQL.  She is part of the Microsoft Azure Office of the CTO, sits on the Linux Foundation  Board of Directors, previously led an Open Source Strategy group at Google and ran large scale technology infrastructures before web-scale had a name.

**Registration** is an emoji reaction to the invite on the future thread in 
#maintainer-circle   

**Notes:** https://hackmd.io/e12IWyStSayMnXn8iYx-uw

**First half**   
Sarah and the K8s bootstrap governance team developed values (which might actually be principles) from the behavior of the kubernetes community.  Discussions and decisions are guided by these values.  This Maintainer Circle will not focus on whether they are values or principles, but instead focus on developing a common framework for your community to use for peer accountability and to guide decisions.

**Breakout**   
Think of a decision in your community that took a lot of effort to wrap up. Looking at the whole story arc – What do you wish you’d known at the beginning? Did the path to this decision reveal anything about the community? Is there a principle or value which fits the community which if explicit could have made the decision easier.

### February 11th @ 10:30am PT / 6:30pm GMT ([Your timezone here]
(https://time.is/compare/1030AM_17_Dec_2020_in_PT))
  
Accidental Evangelist with Jérôme Petazzoni 

In 2013, Jérôme was an SRE manager when he accidentally became Docker's first 
evangelist. He had a vague idea of what an evangelist does: author blog posts, 
deliver conference talks, write abstracts about himself in the 3rd person. 
(Sounds like stuff you have to do, too?) 
But he didn't know how much he was supposed to do. How many meetups and 
conferences should one attend per day, week, month, year? Tracking progress and 
setting goals can be tricky when one switches to an entirely different career. 
Join us for a converation with Jerome and two break out sessions on how to 
manage this, track it, and not burn yourself out.  
  
**Registration** is an emoji reaction to the invite on the future thread in 
#maintainer-circle   
Notes: https://hackmd.io/BC9mHtRZQMyZEbPjdH_Sow

**First half** (first 30)  
Background and lead into first break out "how do you measure yourself?"  

**Second half** (second 30)  
What targets to set? What are the things that you might be a bottleneck on?  
Delegate. 

### January 28th @ 10:30am PT / 06:30pm GMT ([Your timezone here]
(https://time.is/compare/1030AM_17_Dec_2020_in_PT))
   
Inclusive Language: For You as a Maintainer and Your Project  
  
**Registration** is an emoji reaction to the invite on the future thread in 
#maintainer-circle  
  
Notes from session: https://hackmd.io/vzRv5CyITSKfy2n9LTwM5w  

**First half** (first 30)
In 2020, Stephen Augustus and Celeste Horgan helped found the Inclusive Language
 Initiative. This expands the work they've been doing in the Kubernetes 
 community around removing harmful language in software and open source. They 
 follow up with us on the broader initiative and what they've been working on.

**Second half** (second 30)
Stephen and Celeste will guide you through the thought process of removing one 
piece of harmful language in your projects. You'll work with a small breakout 
group to brainstorm the possible touchpoints and understand the scope of the 
changes for yourself.  

### First one:  
December 17, 2020  
Thursday, 10:30am PT / 06:30pm GMT[Your timezone here](https://time.is/compare/1030AM_17_Dec_2020_in_PT)   
**Registration** is an emoji reaction to the invite on the future thread in 
#maintainer-circle 

**First half + breakouts:**
In 2017, Dorothy Howard spoke at SciPy on the research and effects of burnout on
 FOSS maintainers. She follows up with us on what’s happened since conducting 
 new and ongoing qualitative research and interviews with maintainers on 
 burnout, mental health, and software sustainability sponsored by the Ford/Sloan
  Foundations and the NSF. After a 20minute talk, Dorothy will seed the audience
   questions about burnout as you break out into small breakout rooms with your
    fellow maintainers in a 15minute session. 

**Second half + breakouts:**
We'll have a fireside chat with Aaron Crickenberger, Emeritus Kubernetes
Steering Committee Member, co-chair of SIG-Testing, and subproject owner in
multiple SIGs, about his experiences with burnout. It's been a 5 year journey 
with Kubernetes; we'll hear some of the realistic and honest ways Aaron tackles
time management and self care while steering huge ships. In this 15 minute
session, you can ask questions live to Aaron as a group, and then breakout 
into final small groups of the session.   

## General Circle Structure  

:35 - meeting kicks off with a welcome, announcements, and how breakouts work  
:40-:00 - first speaker (academic, expert, other OSS maintainer)  
:00-:20 - first breakout session (max: 10 rooms, 20 people in each)
           - round of short intros [name/project name] before discussion  
:25-:45 - second speaker (most likely a CNCF maintainer)  
:45-:05 - second breakout session   
:10-:15 - wrap up    

To suggest future topics, file an issue in our repo. If you have something to 
share with the group, reach out to us on slack directly 
[#sig-contributor-strategy](https://cloud-native.slack.com/archives/CT6CWS1JN).

In the works for 2021:
- Accidental Evangelism: Jérôme Petazzoni + one more speaker
- Communicating Effectively: locking in speaker + one more speaker
- Dealing with conflict: locking in speaker + one more speaker
- Maintaining/Project leading during grief and loss: looking for speakers
- Maintaining with Inclusive Language: Stephen Augustus + one more speaker
- Values and Principles Development: Sarah Novotny + one more speaker


### Join the channel on Slack

[#maintainers-circle](https://cloud-native.slack.com/archives/C014YQ8CDCG)  
